version: "3.8"

services:
  gotify:
    image: gotify/server # Uncommand correct server image
    # image: gotify/server-arm7
    # image: gotify/server-arm64
    ports:
      - 8680:80
    environment:
      - GOTIFY_DEFAULTUSER_PASS=ixijannik # Change me!!!!!
      - TZ=Europe/Berlin
    restart: unless-stopped
    volumes:
      - gotify-data:/app/data

  igotify-notification: # (iGotify-Notification-Assistent)
    image: ghcr.io/androidseb25/igotify-notification-assist:latest
    pull_policy: always
    ports:
      - 8681:8080
    environment:
      - IGOTIFY_CLIENT_TOKEN="Cqtf36HJG9x0Nhg"  # create a client in gotify an add here the client token
      - GOTIFY_SERVER_URL="http://192.168.1.225"  # default container name from gotify server
    restart: always
    volumes:
      - igotify-notification-data:/app/data

volumes:
  gotify-data:
  igotify-notification-data:
